library(shiny)

shinyUI(fluidPage(

  titlePanel(HTML("Solar Energy Savings Calculator<br>
  Puerto Rico Green Energy Solutions Inc")),
  
  sidebarLayout(
      sidebarPanel(
         sliderInput("mw","Yearly Energy Produced", 
             min = 200, max = 3000, step=50,value=1500),
         sliderInput("mixrange","Groundmount - Rooftop - Carport",
             min=0, max=100, value=c(33,66)),             
         sliderInput("years","Years for Bank Loan",
             min=0, max=25, value=15),
         sliderInput("interest","Interest on Loan, in %",
             min=0, max=10, value=5),          
         sliderInput("inflation","Average rate of Inflation",
             min=0, max=10, value=2),     
         sliderInput("esc","Rate of Escalation of PPA",
             min=0, max=3, step=0.5,value=2),
          HTML("<br>&nbsp;"),
          HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
          HTML("<h6>Created: 11/28/2014</h6>"),width=3        
    ),
  mainPanel(
      uiOutput("text1"),
      uiOutput("table2"),
      plotOutput("myPlot")
    )
  ),      
  uiOutput("explainText")    
      
))

